<?php

/**
 * Child Theme Function
 *
 */

add_action( 'after_setup_theme', 'fennik_child_theme_setup' );
add_action( 'wp_enqueue_scripts', 'fennik_child_enqueue_styles', 100);

if( !function_exists('fennik_child_enqueue_styles') ) {
    function fennik_child_enqueue_styles() {
        $version = wp_get_theme()->get('Version');
        wp_enqueue_style( 'fennik-child-style', get_stylesheet_directory_uri() . '/style.css', null, $version );

    }
}

if( !function_exists('fennik_child_theme_setup') ) {
    function fennik_child_theme_setup() {
        load_child_theme_textdomain( 'fennik-child', get_stylesheet_directory() . '/languages' );
    }
}

add_filter('fennik/filter/localize_array', function ( $data ){
    if(is_front_page()){
        $data['header_sticky_target'] = '#m13_header_sticky_target';
    }
    return $data;
});