<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}

function la_fennik_preset_shop_custom_layout_03()
{
    return [
    	[
    		'key'               => 'header_transparency_archive_product',
		    'value'             => 'yes'
	    ],
        [
            'key'               => 'woocommerce_shop_page_columns',
            'value'             => [
                'desktop' => 3,
                'laptop' => 3,
                'tablet' => 3,
                'mobile_landscape' => 2,
                'mobile' => 1
            ]
        ],
    	[
    		'key'               => 'shop_item_space',
		    'value'             => [
		        'desktop' => [
		            'left' => 20,
		            'right' => 20
                ]
            ]
	    ],
        [
            'filter_name'       => 'fennik/filter/current_title',
            'filter_func'       => function( $title ) {
                $title = 'Shop Custom 03';
                return $title;
            },
            'filter_priority'   => 10,
            'filter_args'       => 1
        ],
        [
            'filter_name'       => 'fennik/filter/get_option',
            'filter_func'       => function( $value, $key ) {
                if( $key == 'la_custom_css'){
                    $value .= '
.section-page-header{
    background-image: url(https://fennik.la-studioweb.com/wp-content/uploads/2020/04/s-h-bg1.jpg);
    padding-top: 150px;
    padding-bottom: 10px;
    background-size: cover;
    background-position: center top;
}

.enable-header-transparency .lahb-wrap:not(.is-sticky) .lahb-desktop-view .lahb-row1-area .lahb-element, 
.enable-header-transparency .lahb-wrap:not(.is-sticky) .lahb-desktop-view .lahb-row1-area .lahb-search .search-field{
    color: #181818;
}
#main #content-wrap:before {
    content: "";
    background-color: #F9F9F9;
    position: absolute;
    left: -140px;
    top: 0;
    bottom: 0;
    width: 520px;
    z-index: -1;
}

#main #content-wrap {
    position: relative;
}
@media(max-width: 1800px){
    #main #content-wrap:before {
        left: -60px;
        width: 400px;
    }
    .body-col-2cl .content-area{
        padding-left: 50px;
    }
}
@media(max-width: 1500px){
    .body-col-2cl .content-area{
        padding-left: 30px;
    }
    #main #content-wrap:before {
        left: -2%;
        width: calc(330px + 2%);
        z-index: -1;
    }
}
@media(max-width: 1400px){
    #main #content-wrap:before {
        width: 27%;
    }
}
@media(max-width: 992px){
    #main #content-wrap:before{
        width: 0;
    }
    .body-col-2cl .content-area{
        padding-left: 0;
    }
}
';
                }
                return $value;
            },
            'filter_priority'   => 10,
            'filter_args'       => 2
        ],
    ];
}