<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}

function la_fennik_preset_shop_sidebar()
{
    return [
        [
            'key'               => 'layout_archive_product',
            'value'             => 'col-2cr'
        ],
        [
            'key'               => 'woocommerce_shop_page_columns',
            'value'             => [
                'desktop' => 3,
                'laptop' => 3,
                'tablet' => 3,
                'mobile_landscape' => 2,
                'mobile' => 1
            ]
        ],
        [
            'key'   => 'woo_page_title_bar_background',
            'value' => [
                'background-image' => [
                    'url' => 'https://fennik.la-studioweb.com/wp-content/uploads/2020/10/shop-bg2.jpg',
                    'id' => 1265,
                ],
                'background-position' => 'center top',
                'background-size' => 'cover',
            ]
        ],
        [
            'key'               => 'la_custom_blocks',
            'value'             => [
                [
                    'title' => 'Shop Banner Bottom',
                    'position' => 'before_content_inner',
                    'content' => '[elementor-template id="1259" css="true"]',
                    'type' => 'include',
                    'name' => 'name',
                    'conditions' => [
                        [
                            'type' => 'include',
                            'name' => 'woocommerce',
                            'woocommerce' => 'shop_page'
                        ]
                    ]
                ]
            ]
        ],
        [
            'filter_name'       => 'fennik/filter/current_title',
            'filter_func'       => function( $title ) {
                $title = 'Shop Sidebar';
                return $title;
            },
            'filter_priority'   => 10,
            'filter_args'       => 1
        ],
        [
            'filter_name'       => 'fennik/filter/get_option',
            'filter_func'       => function( $value, $key ) {
                if( $key == 'la_custom_css'){
                    $value .= '
.site-content .la-custom-block .elementor-top-section {
    margin-top: 0 !important;
    margin-bottom: 40px !important;
}
@media(min-width: 1400px){
#main #content-wrap {
    padding-top: 80px;
}
}
';
                }
                return $value;
            },
            'filter_priority'   => 10,
            'filter_args'       => 2
        ],
    ];
}