<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

if(!function_exists('fennik_override_elementor_resource')){
    function fennik_override_elementor_resource( $path ){
        $path = get_theme_file_uri('assets/addon');
        return $path;
    }
}
add_filter('LaStudioElement/resource-base-url', 'fennik_override_elementor_resource');

if(!function_exists('fennik_add_icon_library_into_elementor')){
    function fennik_add_icon_library_into_elementor( $tabs ) {
        $tabs['lastudioicon'] = [
            'name' => 'lastudioicon',
            'label' => esc_html__( 'LA-Studio Icons', 'fennik' ),
            'prefix' => 'lastudioicon-',
            'displayPrefix' => '',
            'labelIcon' => 'fas fa-star',
            'ver' => '1.0.0',
            'fetchJson' => get_theme_file_uri('assets/fonts/LaStudioIcons.json'),
            'native' => false
        ];
        return $tabs;
    }
}
add_filter('elementor/icons_manager/additional_tabs', 'fennik_add_icon_library_into_elementor');

if(!function_exists('fennik_add_banner_hover_effect')){
    function fennik_add_banner_hover_effect( $effects ){
        return array_merge(array(
            'none'   => esc_html__( 'None', 'fennik' ),
            'type-1' => esc_html__( 'Shadow', 'fennik' )
        ), $effects);
    }
}
add_filter('LaStudioElement/banner/hover_effect', 'fennik_add_banner_hover_effect');

if(!function_exists('fennik_add_portfolio_preset')){
    function fennik_add_portfolio_preset( ){
        return array(
            'type-1' => esc_html__( 'Type 1', 'fennik' ),
            'type-2' => esc_html__( 'Type 2', 'fennik' ),
            'type-3' => esc_html__( 'Type 3', 'fennik' ),
            'type-4' => esc_html__( 'Type 4', 'fennik' ),
            'type-5' => esc_html__( 'Type 5', 'fennik' ),
            'type-6' => esc_html__( 'Type 6', 'fennik' ),
        );
    }
}
add_filter('LaStudioElement/portfolio/control/preset', 'fennik_add_portfolio_preset');

if(!function_exists('fennik_add_portfolio_list_preset')){
    function fennik_add_portfolio_list_preset( ){
        return array(
            'list-type-1' => esc_html__( 'Type 1', 'fennik' ),
            'list-type-2' => esc_html__( 'Type 2', 'fennik' )
        );
    }
}
add_filter('LaStudioElement/portfolio/control/preset_list', 'fennik_add_portfolio_list_preset');

if(!function_exists('fennik_add_team_member_preset')){
    function fennik_add_team_member_preset( ){
        return array(
            'type-1' => esc_html__( 'Type 1', 'fennik' ),
            'type-2' => esc_html__( 'Type 2', 'fennik' ),
            'type-3' => esc_html__( 'Type 3', 'fennik' ),
            'type-4' => esc_html__( 'Type 4', 'fennik' ),
            'type-5' => esc_html__( 'Type 5', 'fennik' ),
            'type-6' => esc_html__( 'Type 6', 'fennik' ),
            'type-7' => esc_html__( 'Type 7', 'fennik' ),
            'type-8' => esc_html__( 'Type 8', 'fennik' )
        );
    }
}
add_filter('LaStudioElement/team-member/control/preset', 'fennik_add_team_member_preset');

if(!function_exists('fennik_add_posts_preset')){
    function fennik_add_posts_preset( ){
        return array(
            'grid-1' => esc_html__( 'Grid 1', 'fennik' ),
            'grid-2' => esc_html__( 'Grid 2', 'fennik' ),
            'grid-3' => esc_html__( 'Grid 3', 'fennik' ),
            'grid-4' => esc_html__( 'Grid 4', 'fennik' ),
            'grid-5' => esc_html__( 'Grid 5', 'fennik' ),
            'grid-6' => esc_html__( 'Grid 6', 'fennik' ),
            'grid-7' => esc_html__( 'Grid 7', 'fennik' ),
            'list-1' => esc_html__( 'List 1', 'fennik' ),
            'list-2' => esc_html__( 'List 2', 'fennik' ),
            'list-3' => esc_html__( 'List 3', 'fennik' ),
            'list-4' => esc_html__( 'List 4', 'fennik' )
        );
    }
}
add_filter('LaStudioElement/posts/control/preset', 'fennik_add_posts_preset');

if(!function_exists('fennik_add_testimonials_preset')){
    function fennik_add_testimonials_preset( ){
        return array(
	        'type-1' => esc_html__( 'Type 1', 'fennik' ),
	        'type-2' => esc_html__( 'Type 2', 'fennik' ),
	        'type-3' => esc_html__( 'Type 3', 'fennik' ),
	        'type-4' => esc_html__( 'Type 4', 'fennik' ),
	        'type-5' => esc_html__( 'Type 5', 'fennik' ),
	        'type-6' => esc_html__( 'Type 6', 'fennik' ),
	        'type-7' => esc_html__( 'Type 7', 'fennik' )
        );
    }
}
add_filter('LaStudioElement/testimonials/control/preset', 'fennik_add_testimonials_preset');

if(!function_exists('fennik_testimoninal_add_svg_as_star')){
    function fennik_testimoninal_add_svg_as_star(){
        echo '<svg width="19" height="16" viewBox="0 0 19 16" xmlns="http://www.w3.org/2000/svg"><path d="M4.203 16c2.034 0 3.594-1.7 3.594-3.752 0-2.124-1.356-3.61-3.255-3.61-.339 0-.813.07-.881.07C3.864 6.442 5.831 3.611 8 2.124L5.492 0C2.372 2.336 0 6.3 0 10.62 0 14.087 1.966 16 4.203 16zm11 0c2.034 0 3.661-1.7 3.661-3.752 0-2.124-1.423-3.61-3.322-3.61-.339 0-.813.07-.881.07.271-2.266 2.17-5.097 4.339-6.584L16.492 0C13.372 2.336 11 6.3 11 10.62c0 3.468 1.966 5.38 4.203 5.38z" fill="currentColor" fill-rule="nonzero"/></svg>';
    }
}
add_action('LaStudioElement/testimonials/output/star_rating', 'fennik_testimoninal_add_svg_as_star');

if(!function_exists('fennik_testimoninal_add_svg_after_image')){
    function fennik_testimoninal_add_svg_after_image( $preset ){
        if($preset == 'type-7'){
            echo '<span class="star-rating"><svg xmlns="http://www.w3.org/2000/svg" width="45" height="36" viewBox="0 0 45 36"><path d="M11.047 34c2.611 0 4.756-.831 6.435-2.494C19.16 29.843 20 27.663 20 24.965c0-1.883-.435-3.514-1.306-4.894-.87-1.38-2.083-2.416-3.637-3.106h0L19.161 2H9.927L4.518 15.553c-1.057 2.51-1.74 4.392-2.052 5.647A15.605 15.605 0 002 24.965c0 2.635.855 4.8 2.565 6.494S8.435 34 11.047 34zm23 0c2.611 0 4.756-.831 6.435-2.494C42.16 29.843 43 27.663 43 24.965c0-1.883-.435-3.514-1.306-4.894-.87-1.38-2.083-2.416-3.637-3.106h0L42.161 2h-9.234l-5.409 13.553c-1.057 2.51-1.74 4.392-2.052 5.647A15.605 15.605 0 0025 24.965c0 2.635.855 4.8 2.565 6.494S31.435 34 34.047 34z" stroke="currentColor" stroke-width="3" fill="none" fill-rule="evenodd"/></svg></span>';
        }
    }
}
add_action('LaStudioElement/testimonials/output/after_image', 'fennik_testimoninal_add_svg_after_image');

if(!function_exists('fennik_add_weather_api')){
    function fennik_add_weather_api( $key ){
        return fennik_get_option('weather_api_key', $key);
    }
}
add_filter('LaStudioElement/weather/api', 'fennik_add_weather_api');

if(!function_exists('fennik_add_google_maps_api')){
    function fennik_add_google_maps_api( $key ){
        return fennik_get_option('google_key', $key);
    }
}
add_filter('LaStudioElement/advanced-map/api', 'fennik_add_google_maps_api');

if(!function_exists('fennik_add_mailchimp_access_token_api')){
    function fennik_add_mailchimp_access_token_api( $key ){
        return fennik_get_option('mailchimp_api_key', $key);
    }
}
add_filter('LaStudioElement/mailchimp/api', 'fennik_add_mailchimp_access_token_api');

if(!function_exists('fennik_add_mailchimp_list_id')){
    function fennik_add_mailchimp_list_id( $key ){
        return fennik_get_option('mailchimp_list_id', $key);
    }
}
add_filter('LaStudioElement/mailchimp/list_id', 'fennik_add_mailchimp_list_id');

if(!function_exists('fennik_add_mailchimp_double_opt_in')){
    function fennik_add_mailchimp_double_opt_in( $key ){
        return fennik_get_option('mailchimp_double_opt_in', $key);
    }
}
add_filter('LaStudioElement/mailchimp/double_opt_in', 'fennik_add_mailchimp_double_opt_in');

if(!function_exists('fennik_add_instagram_token')){
    function fennik_add_instagram_token( $key ){
        return fennik_get_option('instagram_token', $key);
    }
}
add_filter('LaStudioElement/instagram-gallery/api', 'fennik_add_instagram_token');

if(!function_exists('fennik_render_breadcrumbs_in_widget')){
    function fennik_render_breadcrumbs_in_widget( $args ) {

        $html_tag = 'nav';
        if(!empty($args['container'])){
            $html_tag = esc_attr($args['container']);
        }

        if ( function_exists( 'yoast_breadcrumb' ) ) {
            $classes = 'site-breadcrumbs';
            return yoast_breadcrumb( '<'.$html_tag.' class="'. esc_attr($classes) .'">', '</'.$html_tag.'>' );
        }

        $breadcrumb = apply_filters( 'breadcrumb_trail_object', null, $args );

        if ( !is_object( $breadcrumb ) ){
            $breadcrumb = new Fennik_Breadcrumb_Trail( $args );
        }

        return $breadcrumb->trail();

    }
}
add_action('LaStudioElement/render_breadcrumbs_output', 'fennik_render_breadcrumbs_in_widget');

if(!function_exists('fennik_turnoff_default_style_of_gallery')){
    function fennik_turnoff_default_style_of_gallery( $base ){
        if( 'image-gallery' === $base->get_name() ) {
            add_filter('use_default_gallery_style', '__return_false');
        }
    }
}
add_action('elementor/widget/before_render_content', 'fennik_turnoff_default_style_of_gallery');

add_filter('elementor/divider/styles/additional_styles', 'fennik_divider_styles_additional_styles');

if(!function_exists('fennik_divider_styles_additional_styles')){
    function fennik_divider_styles_additional_styles( $styles ){
        $styles['rectangles2'] = [
            'label' => _x( 'Rectangles 2', 'shapes', 'fennik' ),
            'shape' => '<g fill-rule="evenodd"><path d="M98 0h88v2H98zM0 0h88v2H0zM196 0h88v2h-88z"/></g>',
            'preserve_aspect_ratio' => false,
            'supports_amount' => false,
            'round' => false,
            'group' => 'line',
            'view_box' => '0 0 284 2',
        ];
        return $styles;
    }
}

add_action('elementor/frontend/after_enqueue_scripts', function (){
    $stretched_section_container = '#outer-wrap > #wrap';
    wp_add_inline_script( 'elementor-frontend', 'try{elementorFrontendConfig.kit.stretched_section_container="'.$stretched_section_container.'";}catch(e){}', 'before' );
});